- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherOptions Class Reference

the OtherOptions class. More...

`#include <OSOption.h>`

Collaboration diagram for OtherOptions:

[legend]
List of all members.

## Public Member Functions
| OtherOptions ()
| Default constructor.
| ~OtherOptions ()
| Class destructor.
bool | IsEqual (OtherOptions *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setOther (int numberOfOptions, OtherOption **other)
| A function to set an array of <other> elements.
bool | addOther (std::string name, std::string value, std::string description)
| A function to add an <other> element.
## Public Attributes
int | numberOfOtherOptions
| the number of other options
OtherOption ** | other
| the list of other options

## Detailed Description

the OtherOptions class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to the OtherOptions element in the OSoL schema.

Definition at line 186 of file OSOption.h.

## Constructor & Destructor Documentation

OtherOptions::OtherOptions | ( |  | ) |

Default constructor.

Definition at line 87 of file OSOption.cpp.

References other.

OtherOptions::~OtherOptions | ( |  | ) |

Class destructor.

Definition at line 96 of file OSOption.cpp.

References numberOfOtherOptions, and other.

## Member Function Documentation

bool OtherOptions::IsEqual | ( | OtherOptions * | that | ) |

A function to check for the equality of two objects.

Definition at line 8435 of file OSOption.cpp.

References numberOfOtherOptions, and other.

bool OtherOptions::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10496 of file OSOption.cpp.

References numberOfOtherOptions, OSRand(), other, and OtherOption::setRandom().

Referenced by JobOption::setRandom(), ServiceOption::setRandom(), SystemOption::setRandom(), and GeneralOption::setRandom().

bool OtherOptions::setOther | ( | int | numberOfOptions,
|  | OtherOption ** | other |
| ) |  |  |

A function to set an array of <other> elements.

Parameters:

  | numberOfOptions,: | number of <other> elements to be set
  | other,: | the array of <other> elements that are to be set

Definition at line 4114 of file OSOption.cpp.

References ErrorClass::errormsg, numberOfOtherOptions, and other.

Referenced by OSOption::setOtherGeneralOptions(), OSOption::setOtherJobOptions(), OSOption::setOtherServiceOptions(), and OSOption::setOtherSystemOptions().

bool OtherOptions::addOther | ( | std::string | name,
|  | std::string | value,
|  | std::string | description |
| ) |  |  |

A function to add an <other> element.

Parameters:

  | name,: | the name of the <other> element to be added (required)
  | value,: | the value of the <other> element to be added (optional)
  | description,: | a description of the <other> element (optional)

Definition at line 4144 of file OSOption.cpp.

References OtherOption::description, ErrorClass::errormsg, OtherOption::name, numberOfOtherOptions, other, and OtherOption::value.

Referenced by OSOption::setAnOtherGeneralOption(), OSOption::setAnOtherJobOption(), OSOption::setAnOtherServiceOption(), and OSOption::setAnOtherSystemOption().

## Member Data Documentation

int OtherOptions::numberOfOtherOptions

the number of other options

Definition at line 190 of file OSOption.h.

Referenced by addOther(), OSOption::getNumberOfOtherGeneralOptions(), OSOption::getNumberOfOtherJobOptions(), OSOption::getNumberOfOtherServiceOptions(), OSOption::getNumberOfOtherSystemOptions(), IsEqual(), setOther(), OSOption::setOtherGeneralOptions(), OSOption::setOtherJobOptions(), OSOption::setOtherServiceOptions(), OSOption::setOtherSystemOptions(), setRandom(), OSoLWriter::writeOSoL(), and ~OtherOptions().

OtherOption** OtherOptions::other

the list of other options

Definition at line 193 of file OSOption.h.

Referenced by addOther(), OSOption::getOtherGeneralOptions(), OSOption::getOtherJobOptions(), OSOption::getOtherServiceOptions(), OSOption::getOtherSystemOptions(), IsEqual(), OtherOptions(), setOther(), setRandom(), OSoLWriter::writeOSoL(), and ~OtherOptions().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp